## opencpn-plugin-projections 0.1.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## ***************************************************************************
## *   Copyright (C) 2015 by Sean D'Epagnier                                 *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 3 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.         *
## ***************************************************************************


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(projections_pi)
SET(PACKAGE_NAME projections_pi)
SET(VERBOSE_NAME Projections)
SET(TITLE_NAME Projections)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

INCLUDE( VERSION.cmake )
SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR "${PLUGIN_VERSION_MINOR}")
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_PROJECTIONS
    src/projections_pi.cpp
    src/PreferencesDialog.cpp
    src/ProjectionsUI.cpp
    src/icons.cpp
)


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_PROJECTIONS} )

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-projections (0.1.0-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:15:17 -0700

opencpn-plugin-projections (0.1.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 10:55:36 -0700

opencpn-plugin-projections (0.1.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 10:48:34 -0700

opencpn-plugin-projections (0.1.0-0~xenial1) xenial; urgency=low

  * v0.1

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Feb 2016 18:33:39 -0600

=== debian/control ===
Source: opencpn-plugin-projections
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, 
	libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, 
	portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-projections
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
